workspace_limit		= 5 
focus_mode		= default
# focus_close		= previous
# focus_close_wrap	= 1
# focus_default		= last
# spawn_position	= next

# Window Decoration
border_width		= 1
color_focus		= rgb:00/55/77
# color_focus_maximized	= yellow
color_unfocus		= rgb:44/44/44
# color_unfocus_maximized	= rgb:88/88/00
# region_padding	= 0
# tile_gap		= 0

# Region containment
# Distance window must be dragged/resized beyond the region edge before it is
# allowed outside the region.
# boundary_width 		= 50

# Remove window border when bar is disabled and there is only one window in workspace
disable_border		= 1

# Bar Settings
bar_enabled		= 1
bar_border_width	= 1
bar_border[1]		= rgb:00/55/77
bar_border_unfocus[1]	= rgb:44/44/44
# bar_color[1]		= black
bar_font_color[1]	= rgb:bb/bb/bb
bar_font		= xft:Terminus:pixelsize=16 
#bar_action		= baraction.sh
bar_action		= conky
#bar_delay		= 2 
# bar_justify		= left
#bar_format		= +N:+I+2<+S+2 <+D>+8<%a %b %d %R %Z %Y+8<+A+4<+V
# bar_at_bottom		= 1
stack_enabled		= 1
clock_enabled		= 0
#clock_format		= %a %b %d %R %Z %Y
# iconic_enabled	= 0
# window_class_enabled	= 0
# window_instance_enabled	= 0
window_name_enabled	= 1 
# verbose_layout		= 1
# urgent_enabled		= 1

# Dialog box size ratio when using TRANSSZ quirk; 0.3 < dialog_ratio <= 1.0
# dialog_ratio		= 0.6

# Split a non-RandR dual head setup into one region per monitor
# (non-standard driver-based multihead is not seen by spectrwm)
# region		= screen[1]:1280x1024+0+0
# region		= screen[1]:1280x1024+1280+0

# Customize workspace layout at start
layout		= ws[1]:0:0:0:0:horizontal
layout		= ws[2]:0:0:0:0:fullscreen
layout		= ws[3]:0:0:0:0:horizontal
layout		= ws[4]:0:0:0:0:horizontal
layout		= ws[5]:0:0:0:0:horizontal

# Set workspace name at start
name		= ws[1]:Local
name		= ws[2]:Web
name		= ws[3]:Remote
name		= ws[4]:IRC/Mail
name		= ws[5]:Log

# AUTORUN
#
# Local machine
autorun		= ws[1]:urxvt -e ranger
autorun		= ws[1]:urxvt -e tmux -2
#
# Web
autorun		= ws[2]:chrome
#
# Remote
autorun		= ws[3]:urxvt 
autorun		= ws[3]:urxvt
#
# IRC and Mail
autorun		= ws[4]:urxvt -e irssi
autorun		= ws[4]:urxvt -e mutt -y
#
# Log
autorun		= ws[5]:urxvt -e tail -f /var/log/daemon 
autorun		= ws[5]:urxvt -e tail -f /var/log/messages
autorun		= ws[5]:urxvt -e sudo tcpdump -s 160 -n -e -ttt -i pflog0

# Mod key, (Windows key is Mod4) (Apple key on OSX is Mod2)
modkey = Mod4

# This allows you to include pre-defined key bindings for your keyboard layout.
#keyboard_mapping = ~/.spectrwm_ru.conf

# PROGRAMS

# Validated default programs:
program[lock]		= screen-lock
program[term]		= urxvt 
program[browser1]	= chrome
program[browser2]	= firefox
program[switchkb]	= switchkb
# program[menu]		= dmenu_run $dmenu_bottom -fn $bar_font -nb $bar_color -nf $bar_font_color -sb $bar_border -sf $bar_color
keyboard_mapping = ~/.spectrwm_ru.conf

# To disable validation of the above, free the respective binding(s):
bind[switchkb]		= MOD+Shift+s
# bind[]		= MOD+Shift+Delete	# disable lock
# bind[]		= MOD+Shift+Enter	# disable term
# bind[]		= MOD+p			# disable menu

# Optional default programs that will only be validated if you override:
program[screenshot_all]		= screenshot.sh full	# optional
program[screenshot_wind]	= screenshot.sh window	# optional
# program[initscr]	= initscreen.sh			# optional

# QUIRKS
# quirk[MPlayer:xv]			= FLOAT + FULLSCREEN + FOCUSPREV
# quirk[OpenOffice.org 2.4:VCLSalFrame]	= FLOAT
# quirk[OpenOffice.org 3.0:VCLSalFrame]	= FLOAT
# quirk[OpenOffice.org 3.1:VCLSalFrame]	= FLOAT
# quirk[Firefox-bin:firefox-bin]	= TRANSSZ
# quirk[Firefox:Dialog]			= FLOAT
quirk[Gimp:gimp]			= FLOAT + ANYWHERE
quirk[XTerm:xterm]			= XTERM_FONTADJ
# quirk[xine:Xine Window]		= FLOAT + ANYWHERE
# quirk[Xitk:Xitk Combo]		= FLOAT + ANYWHERE
# quirk[xine:xine Panel]		= FLOAT + ANYWHERE
# quirk[Xitk:Xine Window]		= FLOAT + ANYWHERE
# quirk[xine:xine Video Fullscreen Window] = FULLSCREEN + FLOAT
# quirk[pcb:pcb]			= FLOAT
